using JetBrains.Annotations;
using UnityEngine;
using VContainer;
using VContainer.Unity;

public class GameLifeTimeScope : LifetimeScope
{
    [SerializeField] private InputReader inputReader;
    protected override void Configure(IContainerBuilder builder)
    {

        builder.RegisterComponentInHierarchy<PlatformPool>();
        builder.RegisterComponentInHierarchy<JumpingBall>();
        builder.RegisterComponentInHierarchy<PlatformManager>();
        builder.RegisterComponent<IInputReader>(inputReader);
    }

    public void IsWorking()
    {
        Debug.Log("True");
    }
}
